Get All Subscriptions
curl --request GET \
--url https://api.hel.io/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hel.io/v1/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hel.io/v1/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hel.io/v1/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hel.io/v1/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "67a1e53e10905ce3927d6f1a",
"status": "EXPIRED",
"email": "test@hel.io",
"renewalDate": "2025-03-04T00:00:00.000Z",
"createdAt": "2025-02-04T10:00:30.259Z",
"transactions": [
{
"id": "67a1e53810905ce3927d6e46",
"paylinkId": "67a0d1ed18c700e1cda9ebf6",
"fee": "2000",
"quantity": 1,
"createdAt": "2025-02-04T10:00:24.839Z",
"paymentType": "PAYLINK",
"meta": {
"id": "67a1e53810905ce3927d6e44",
"amount": "98000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {
"email": "jkbaffourr@gmail.com",
"discordUser": null
},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "5QCkdQSeRd3sHs9etreVn1qR7RGcGrsQoHm6vw2ddSXYjSafrkSpPg3uCzv7D2eKg4toBPPyzyAxDUZDBPyGXBoD",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "98000",
"affiliateAmount": "0",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "0.1",
"to": "USDC",
"toAmountMinimal": "100000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB"
}
}
]
}
]{
"message": "Api key or token is invalid",
"code": 401
}SUBSCRIPTIONS
Get All Subscriptions
Fetch all subscriptions associated with your Helio account.
GET
/
v1
/
subscriptions
Get All Subscriptions
curl --request GET \
--url https://api.hel.io/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hel.io/v1/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hel.io/v1/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hel.io/v1/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hel.io/v1/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "67a1e53e10905ce3927d6f1a",
"status": "EXPIRED",
"email": "test@hel.io",
"renewalDate": "2025-03-04T00:00:00.000Z",
"createdAt": "2025-02-04T10:00:30.259Z",
"transactions": [
{
"id": "67a1e53810905ce3927d6e46",
"paylinkId": "67a0d1ed18c700e1cda9ebf6",
"fee": "2000",
"quantity": 1,
"createdAt": "2025-02-04T10:00:24.839Z",
"paymentType": "PAYLINK",
"meta": {
"id": "67a1e53810905ce3927d6e44",
"amount": "98000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {
"email": "jkbaffourr@gmail.com",
"discordUser": null
},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "5QCkdQSeRd3sHs9etreVn1qR7RGcGrsQoHm6vw2ddSXYjSafrkSpPg3uCzv7D2eKg4toBPPyzyAxDUZDBPyGXBoD",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "98000",
"affiliateAmount": "0",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "0.1",
"to": "USDC",
"toAmountMinimal": "100000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB"
}
}
]
}
]{
"message": "Api key or token is invalid",
"code": 401
}Authorizations
Authentication using JWT token
Query Parameters
The email address used to set up the subscription.
The ID of the pay link associated with the subscription.
Your API key can be generated on the Helio Dashboard’s settings page.
